QGbkCodec(3qt)

NAME
QGbkCodec - Conversion to and from the Chinese GBK encoding

SYNOPSIS
All the functions in this class are reentrant when Qt is built with thread support.</p>

#include <qgb18030codec.h>

Inherits QGb18030Codec.

  Public Members
QGbkCodec ()

DESCRIPTION
The QGbkCodec class provides conversion to and from the Chinese GBK encoding.

GBK, formally the Chinese Internal Code Specification, is a commonly used extension of GB 2312-80. Microsoft Windows uses it under the name code page 936.

The GBK encoding has been superceded by the GB18030 encoding and GB18030 is backward compatible to GBK. For this reason the QGbkCodec class is implemented in terms of the GB18030 codec and uses its 1-byte and 2-byte portion for conversion from and to Unicode.

The QGbkCodec is kept mainly for compatibility reasons with older software.

See also Internationalization with Qt.

MEMBER FUNCTION DOCUMENTATION

QGbkCodec::QGbkCodec ()
reimp

SEE ALSO
http://doc.trolltech.com/qgbkcodec.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qgbkcodec.3qt) and the Qt version (3.2.0).